#include "partition.h"
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    int n=A.size();
    if(n&1)//nechetno
    {
        vector<int> v;
        for(int i=0;i<n/2;i++)v.push_back(i);
        v.push_back(n-1);
        for(int i=n/2+1;i<n;i++)v.push_back(i-1);
        return v;
    }
    else{
        vector<int> v;
        for(int i=0;i<n/2-1;i++)v.push_back(i);
        v.push_back(n-1);
        for(int i=n/2;i<n;i++)v.push_back(i-1);
        return v;
    }
}
